How to Download and Install Older Version iOS Apps

iOS 8 comes with many improvements and plenty of new features such as Continuity, Apple Pay and SMS Relay. Sadly, many of these features will not work on older Apple devices, like the iPhone 4, due to limitations. Worse still, many apps now will require at least iOS 7 to run smoothly. Trying to install an app will probably prompt a notification like this:

9gag Install

However, that doesn’t mean you cannot get a compatible version of the app installed. Here’s how to do it. First of all, you will need to login to the App Store through iTunes in Mac. Search for the app you would like to install. In this case, I am trying to install the 9Gag app.

Once the app is installed, the app will be added to your Purchased history but it won’t turn up on your iPhone if you don’t have it connected to your Macbook (which is fine because keep in mind that although the app has been "installed", it needs iOS 7 to run and thus can’t function on your iPhone 4).

Now, to get the latest compatible version of the app on your phone.

On your iPhone, launch the App Store and go to the Purchased page via the Updates tab. Try installing the app. Your device will notify you that the current version of the app requires iOS 7 or later. Then, it will offer you the option to install a previous version that is compatible with the iPhone you are holding.

Here’s what you will see:

iPhone install previous version dialog

At this point, tap Download to proceed.

app installed successfully

And you should now have the compatible version of the app installed and functioning.

app is working

You can try installing other apps this way too but note that this only works with apps that have been around since iOS 6. Only then would there be a version built for iOS 6 aka the "compatible version" you can fall back on.

Leave a Comment